org.codehaus.plexus.digest

## Class DigesterException

- java.lang.Object
- - java.lang.Throwable
  - - java.lang.Exception
    - - org.codehaus.plexus.digest.DigesterException

All Implemented Interfaces:
  Serializable

    public class DigesterException
    extends Exception

Author:
  Edwin Punzalan
See Also:
  Serialized Form

### Constructor Summary

Constructors
Constructor and Description
`DigesterException()`
`DigesterException(String message)`
`DigesterException(String message, Throwable cause)`
`DigesterException(Throwable cause)`

### Method Summary

### Methods inherited from class java.lang.Throwable

`addSuppressed, fillInStackTrace, getCause, getLocalizedMessage, getMessage, getStackTrace, getSuppressed, initCause, printStackTrace, printStackTrace, printStackTrace, setStackTrace, toString`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

### Constructor Detail

#### DigesterException

    public DigesterException()

#### DigesterException

    public DigesterException(String message)

#### DigesterException

    public DigesterException(String message,
                             Throwable cause)

#### DigesterException

    public DigesterException(Throwable cause)